unit BNWizTestForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ActnList, ComCtrls, StdActns, BNWiz;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button4: TButton;
    ActionList1: TActionList;
    BNWizBackAction1: TBNWizBackAction;
    BNWizCancelAction1: TBNWizCancelAction;
    BNWizNextFinishAction1: TBNWizNextFinishAction;
    BNWizard1: TBNWizard;
    BNWizSheet1: TBNWizSheet;
    Label1: TLabel;
    Edit1: TEdit;
    BNWizSheet2: TBNWizSheet;
    Label2: TLabel;
    Edit2: TEdit;
    BNWizSheet3: TBNWizSheet;
    Label3: TLabel;
    Edit3: TEdit;
    BNWizSheet4: TBNWizSheet;
    Label4: TLabel;
    Edit4: TEdit;
    procedure BNWizSheet1Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizSheet2Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizSheet3Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizSheet4Validate(Sender: TObject; var CanDoNext,
      CanFinish: Boolean);
    procedure BNWizard1Finish(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure Edit2Change(Sender: TObject);
    procedure Edit3Change(Sender: TObject);
    procedure Edit4Change(Sender: TObject);
    procedure BNWizard1Cancel(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Wiz: TBNWizard;
    BackAction: TBNWizBackAction;
    NextAction: TBNWizNextAction;
    FinishAction: TBNWizFinishAction;
    CancelAction: TBNWizCancelAction;

  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BNWizSheet1Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := Edit1.Text <> '';
  CanFinish := False;
end;

procedure TForm1.BNWizSheet2Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := edit2.Text <> '';
  CanFinish := False;
end;

procedure TForm1.BNWizSheet3Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := edit3.Text <> '';
  CanFinish := False;
end;

procedure TForm1.BNWizSheet4Validate(Sender: TObject; var CanDoNext,
  CanFinish: Boolean);
begin
  CanDoNext := False;
  CanFinish := edit4.Text <> '';
end;

procedure TForm1.BNWizard1Finish(Sender: TObject);
begin
  ShowMessage('Hooray');
  Self.Close;
end;

procedure TForm1.Edit1Change(Sender: TObject);
begin
  BNWizSheet1.Validate;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin
  BNWizSheet2.Validate;
end;

procedure TForm1.Edit3Change(Sender: TObject);
begin
  BNWizSheet3.Validate;
end;

procedure TForm1.Edit4Change(Sender: TObject);
begin
  BNWizSheet4.Validate;
end;

procedure TForm1.BNWizard1Cancel(Sender: TObject);
begin
  Self.Close;
end;

end.
